CmdMessenger 4.0.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties | Events
CommandMessenger.Transport.Network.TcpTransport Class Reference

Used with network devices. Example: socat tcp-l:1234,reuseaddr,fork file:/dev/ttyACM0,nonblock,raw,echo=0,waitlock=/var/run/tty,b115200. More...

Inheritance diagram for CommandMessenger.Transport.Network.TcpTransport:

List of all members.

## Public Member Functions
| TcpTransport (string host, int port)
bool | Connect ()
| Connect transport.
bool | IsConnected ()
| Returns connection status.
bool | Disconnect ()
| Disconnect transport.
void | Write (byte[] buffer)
| Write bytes over transport.
byte[] | Read ()
| Bytes read over transport.
void | Dispose ()
## Protected Member Functions
virtual void | Dispose (bool disposing)
## Properties
int | Timeout`[get, set]`
## Events
EventHandler | DataReceived
| Bytes have been received event.

## Detailed Description

Used with network devices. Example: socat tcp-l:1234,reuseaddr,fork file:/dev/ttyACM0,nonblock,raw,echo=0,waitlock=/var/run/tty,b115200.

## Member Function Documentation

bool CommandMessenger.Transport.Network.TcpTransport.Connect | ( |  | ) |

Connect transport.

Returns:

Implements CommandMessenger.Transport.ITransport.

bool CommandMessenger.Transport.Network.TcpTransport.Disconnect | ( |  | ) |

Disconnect transport.

Returns:

Implements CommandMessenger.Transport.ITransport.

bool CommandMessenger.Transport.Network.TcpTransport.IsConnected | ( |  | ) |

Returns connection status.

Returns:
  true when connected

Implements CommandMessenger.Transport.ITransport.

byte [] CommandMessenger.Transport.Network.TcpTransport.Read | ( |  | ) |

Bytes read over transport.

Returns:

Implements CommandMessenger.Transport.ITransport.

void CommandMessenger.Transport.Network.TcpTransport.Write | ( | byte[] | buffer | ) |

Write bytes over transport.

Parameters:

  buffer |

Implements CommandMessenger.Transport.ITransport.

## Event Documentation

EventHandler CommandMessenger.Transport.Network.TcpTransport.DataReceived

Bytes have been received event.

Implements CommandMessenger.Transport.ITransport.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino/Own Arduino libraries/CmdMessenger/Arduino-CmdMessenger/extras/CSharp/CommandMessenger.Transport.Network/TcpTransport.cs